'use server'
import { getRoles } from "@/app/lib/role/action";
import { Box } from "@chakra-ui/react";
import CaseForm from "../component/form";
import { getIbcRequestList } from "@/app/lib/ibc/action";
import { getCycleDaysRequestList } from "@/app/lib/cycle-days/action";


export default async function Create() {
    const [ibcList, cycleDaysList] = await Promise.all([getIbcRequestList({ pagination: 'false' }), getCycleDaysRequestList({ pagination: 'false' })])

    return (
        <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
            <CaseForm isEdit={null} ibcList={ibcList?.data} cycleDaysList={cycleDaysList?.data} />
        </Box>
    );
}